unexist.dev

Changeset 0:e2dd4b1466b3 default tip

Initial commit
author unexist
date Thu, 08 Sep 2011 02:37:26 +0200
parents
children
files Documentation/README Documentation/contributors profiles/repo_name x11-wm/subtle/Manifest x11-wm/subtle/files/subtle.desktop x11-wm/subtle/subtle-0.10.3008.ebuild x11-wm/subtle/subtle-9999.ebuild
diffstat 7 files changed, 187 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Documentation/README	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,3 @@
+This is the official overlay for subforge projects,
+if you have any problems with an ebuild file please
+report bugs to http://subforge.org/projects/subforge/issues
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Documentation/contributors	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,2 @@
+Current maintainer:
+unexist = Christoph Kappel <chkappel at subforge dot org>
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/profiles/repo_name	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,1 @@
+subforge
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-wm/subtle/Manifest	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,5 @@
+AUX subtle.desktop 99 RMD160 5c0ae6977a958f301ff4b7f98add40fa27d9efa2 SHA1 273a078cadc74e30cacda750dbab7cc77491d666 SHA256 7828d1edad1c05572add4cd167cc8b66a54afb47307b474ac6d274380eae9c37
+DIST subtle-0.10.3008-nu.tbz2 141363 RMD160 6915726728be22af030060c8cd428983a65ddee1 SHA1 3b92f006148a991bf367c2dfa58d93bdb62d5d40 SHA256 04f21c623715743719628dab11ac5ed542e724cef7590f5b084cd6d04d24f19e
+EBUILD subtle-0.10.3008.ebuild 1678 RMD160 b17345cb117eb625b0fa62f5bee10cccd8e49f58 SHA1 70801c7d758a745d969968143e83deda6a98fc19 SHA256 de214539e362d67e8af59c8e9a8c73c26d6b7cdc79900b2f570159a5c8513e8e
+EBUILD subtle-9999.ebuild 1605 RMD160 22c520050211d5099471b8e3589702cd6816454b SHA1 52a21ff71260864634aa1927e79780308dea4dea SHA256 7feef9576d321c298f06a974ef4f7aa820a2db977c01349c5f65a776990f6e86
+MISC metadata.xml 772 RMD160 541375c99447083337376d16edcff495c40bbcd3 SHA1 b4d493a3174f6983f11ec345c17d3f589d85affd SHA256 07c92f912a59a9331a6dbecd0f2d3d0638fd44df43baf1210eda0f4f55a04e80
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-wm/subtle/files/subtle.desktop	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=subtle
+Comment=subtle window manager
+Exec=subtle
+Type=XSession
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-wm/subtle/subtle-0.10.3008.ebuild	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,85 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+MY_REV="nu"
+MY_PV="${PV/3008/3008-${MY_REV}}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="A grid-based manual tiling window manager with a strong focus on easy but customizable look and feel"
+HOMEPAGE="http://wiki.subtle.de"
+SRC_URI="http://subforge.org/attachments/download/75/${MY_P}.tbz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="debug doc xft xinerama xpm xrandr"
+
+RDEPEND="x11-libs/libX11
+	dev-lang/ruby:1.9
+	dev-vcs/mercurial
+	dev-ruby/rake[ruby_targets_ruby19] ( >=dev-ruby/rake-0.8.7-r6 )
+	dev-ruby/archive-tar-minitar[ruby_targets_ruby19]
+	xft? ( x11-libs/libXft )
+	xinerama? ( x11-libs/libXinerama )
+	xpm? ( x11-libs/libXpm )
+	xrandr? ( x11-libs/libXrandr )"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+	export XDG_DATA_DIRS="/usr/share"
+
+	if use debug ; then
+		my_config="debug=yes"
+	else
+		my_config="debug=no"
+	fi
+
+	if use xpm ; then
+		my_config="${my_config} xpm=yes"
+	else
+		my_config="${my_config} xpm=no"
+	fi
+
+	if use xft ; then
+		my_config="${my_config} xft=yes"
+	else
+		my_config="${my_config} xft=no"
+	fi
+
+	if use xinerama ; then
+		my_config="${my_config} xinerama=yes"
+	else
+		my_config="${my_config} xinerama=no"
+	fi
+
+	if use xrandr ; then
+		my_config="${my_config} randr=yes"
+	else
+		my_config="${my_config} randr=no"
+	fi
+
+	rake destdir="${D}" ${my_config} config || die
+
+	rake build || die
+
+	if use doc ; then
+		rake rdoc || die
+	fi
+}
+
+src_install() {
+	rake install || die
+
+	insinto /usr/share/xsessions
+	doins "${FILESDIR}/subtle.desktop" || die
+
+	if use doc ; then
+		dohtml -r html/* || die
+	fi
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/x11-wm/subtle/subtle-9999.ebuild	Thu Sep 08 02:37:26 2011 +0200
@@ -0,0 +1,85 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit mercurial
+
+DESCRIPTION="A grid-based manual tiling window manager with a strong focus on easy but customizable look and feel"
+HOMEPAGE="http://wiki.subtle.de"
+SRC_URI=""
+
+EHG_REPO_URI="http://hg.subforge.org/subtle"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug doc xft xinerama xpm xrandr"
+
+RDEPEND="x11-libs/libX11
+	dev-lang/ruby:1.9
+	dev-vcs/mercurial
+	dev-ruby/rake[ruby_targets_ruby19] ( >=dev-ruby/rake-0.8.7-r6 )
+	dev-ruby/archive-tar-minitar[ruby_targets_ruby19]
+	xft? ( x11-libs/libXft )
+	xinerama? ( x11-libs/libXinerama )
+	xpm? ( x11-libs/libXpm )
+	xrandr? ( x11-libs/libXrandr )"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+	export XDG_DATA_DIRS="/usr/share"
+
+	if use debug ; then
+		my_config="debug=yes"
+	else
+		my_config="debug=no"
+	fi
+
+	if use xpm ; then
+		my_config="${my_config} xpm=yes"
+	else
+		my_config="${my_config} xpm=no"
+	fi
+
+	if use xft ; then
+		my_config="${my_config} xft=yes"
+	else
+		my_config="${my_config} xft=no"
+	fi
+
+	if use xinerama ; then
+		my_config="${my_config} xinerama=yes"
+	else
+		my_config="${my_config} xinerama=no"
+	fi
+
+	if use xrandr ; then
+		my_config="${my_config} randr=yes"
+	else
+		my_config="${my_config} randr=no"
+	fi
+
+	rake destdir="${D}" ${my_config} config || die
+
+	rake build || die
+
+	if use doc ; then
+		rake rdoc || die
+	fi
+}
+
+src_install() {
+	rake install || die
+
+	insinto /usr/share/xsessions
+	doins "${FILESDIR}/subtle.desktop" || die
+
+	if use doc ; then
+		dohtml -r html/* || die
+	fi
+}